﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace ReactiveGameDemo
{
    class Bullet : GameObject
    {
        public Bullet(Game game) : base(game,"bullet") { }

        public override void Update(GameTime gameTime)
        {
            position += 6 * forward;
            if (!GraphicsDevice.Viewport.Bounds.Contains((int)position.X, (int)position.Y)) 
                Game.Components.Remove(this);
            base.Update(gameTime);
        }
    }
}
