using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Input;

namespace ReactiveGameDemo
{
    public class rxGame : Microsoft.Xna.Framework.Game
    {
        public static SpriteBatch spriteBatch;
        public static XnaScheduler scheduler;

        public rxGame()
        {
            new GraphicsDeviceManager(this);
            Content.RootDirectory = "Content";
        }

        protected override void Initialize()
        {
            spriteBatch = new SpriteBatch(GraphicsDevice);
            scheduler = new XnaScheduler(this, true);

            new Manager(this);

            new Player(this);
            for (int i = 0; i < 6; i++)
                new Enemy(this);
            for (int i = 0; i < 2; i++)
                new Ammo(this);

            base.Initialize();
        }

        protected override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.Black);

            spriteBatch.Begin();
              base.Draw(gameTime);
            spriteBatch.End();
        }
    }
}
